Bug 815058 - How to recover lost space?
How to recover lost space?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: btrfs-progs (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Josef Bacik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 05:12 EDT by Simon Lewis
Modified: 2013-02-13 10:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 10:12:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Lewis 2012-04-22 05:12:12 EDT
On my laptop I have a btrfs boot partition of size 256.00 MiB

With just the kernel version 3.3.1-5 installed the total of all files (including hidden files) written to the boot partition is 27.7 MiB

Krusader shows only 31.4 MiB free space - kde-partition manager indicates that 224.59 MiB is used.

btrfsck output as follows:

root@hp550-01 simon # btrfsck /dev/sda1
found 29646848 bytes used err is 0
total csum bytes: 28384
total tree bytes: 581632
total fs tree bytes: 483328
btree space waste bytes: 155818
file data blocks allocated: 29065216
 referenced 29065216
Btrfs Btrfs v0.19
root@hp550-01 simon # 

How to recover lost / wasted space?
Comment 1 Simon Lewis 2012-04-26 03:19:18 EDT
Any ideas?
Comment 2 Josef Bacik 2012-04-26 10:04:33 EDT
Can you run btrfs fi show and btrfs fi df so I can see where all your space is.
Comment 3 Simon Lewis 2012-04-27 12:01:39 EDT
Hello Josef

Here is the info you asked for:


[root@spaceloopxl simon]# btrfs filesystem show /dev/sda1
failed to read /dev/sr0
Label: none  uuid: fe320e56-fc90-41e1-8c8c-cd3ed6ed102a
        Total devices 1 FS bytes used 28.27MB
        devid    1 size 256.00MB used 256.00MB path /dev/sda1

Btrfs Btrfs v0.19
[root@spaceloopxl simon]# btrfs filesystem df /dev/sda1
[root@spaceloopxl simon]# btrfs filesystem show /dev/sda1
failed to read /dev/sr0
Label: none  uuid: fe320e56-fc90-41e1-8c8c-cd3ed6ed102a
        Total devices 1 FS bytes used 28.27MB
        devid    1 size 256.00MB used 256.00MB path /dev/sda1

Btrfs Btrfs v0.19
[root@spaceloopxl simon]# 

Krusader still shows only 31.4 MiB free space..

Best regards, Simon
Comment 4 Josef Bacik 2012-04-27 12:04:32 EDT
You need to mount the filesystem for btrfs fi df to work, so mount /dev/sda1 /mnt/somwhere and then btrfs fi df /mnt/somwhere.  But I imagine what happened is you didn't get mixed block groups, which is what you want for really small file systems.  The mkfs should have done this automatically so I'm not sure whats going on there, but you can force it by doing mkfs.btrfs -m /dev/sda1 and you'll be able to use more space.
Comment 5 Simon Lewis 2012-04-28 01:53:02 EDT
Hello Josef

2nd attempt...

[root@spaceloopxl fe320e56-fc90-41e1-8c8c-cd3ed6ed102a]# btrfs filesystem show /media/fe320e56-fc90-41e1-8c8c-cd3ed6ed102a
failed to read /dev/sr0
Btrfs Btrfs v0.19

[root@spaceloopxl fe320e56-fc90-41e1-8c8c-cd3ed6ed102a]# btrfs filesystem df /media/fe320e56-fc90-41e1-8c8c-cd3ed6ed102a
Data: total=59.12MB, used=27.72MB
System, DUP: total=8.00MB, used=4.00KB
System: total=4.00MB, used=0.00
Metadata, DUP: total=84.44MB, used=564.00KB
Metadata: total=8.00MB, used=0.00
[root@spaceloopxl fe320e56-fc90-41e1-8c8c-cd3ed6ed102a]#

Do I need to make any changes to fstab after reformatting the boot partition with mixed block groups, before remaking the boot files?

Best regards, Simon
Comment 6 Fedora End Of Life 2013-01-16 09:11:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora End Of Life 2013-02-13 10:12:05 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.